Bug 221687 - [GPUP] platform/mac/media/encrypted-media/fps-clearkey-crash.html is a flaky timeout
Summary: [GPUP] platform/mac/media/encrypted-media/fps-clearkey-crash.html is a flaky ...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Media (show other bugs)
Version: Other
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Jon Lee
URL:
Keywords: InRadar
Depends on:
Blocks: 221830
  Show dependency treegraph
 
Reported: 2021-02-10 10:15 PST by Peng Liu
Modified: 2021-03-19 12:22 PDT (History)
11 users (show)

See Also:


Attachments
Gardening patch (1.66 KB, patch)
2021-03-04 14:00 PST, Jon Lee
no flags Details | Formatted Diff | Diff
Patch (6.18 KB, patch)
2021-03-17 13:58 PDT, Jer Noble
eric.carlson: review+
ews-feeder: commit-queue-
Details | Formatted Diff | Diff
Patch for landing (7.85 KB, patch)
2021-03-18 10:04 PDT, Jer Noble
no flags Details | Formatted Diff | Diff
Patch for landing (8.19 KB, patch)
2021-03-18 14:11 PDT, Jer Noble
no flags Details | Formatted Diff | Diff
Patch for landing (9.09 KB, patch)
2021-03-18 19:15 PDT, Jer Noble
ews-feeder: commit-queue-
Details | Formatted Diff | Diff
Patch for landing (9.24 KB, patch)
2021-03-18 23:54 PDT, Jer Noble
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Peng Liu 2021-02-10 10:15:32 PST
platform/mac/media/encrypted-media/fps-clearkey-crash.html
platform/mac/media/encrypted-media/fps-createMediaKeys.html
platform/mac/media/encrypted-media/fps-createSession.html
platform/mac/media/encrypted-media/fps-ephemeral-requestMediaKeySystemAccess.html
platform/mac/media/encrypted-media/fps-generateRequest.html
platform/mac/media/encrypted-media/fps-requestMediaKeySystemAccess.html
Comment 1 Radar WebKit Bug Importer 2021-02-17 10:16:12 PST
<rdar://problem/74438911>
Comment 2 Rini Patel 2021-02-18 17:03:05 PST
platform/mac/media/encrypted-media/fps-clearkey-crash.html
This is flaky, all other tests are passing.
Comment 3 Jon Lee 2021-03-04 14:00:25 PST
Created attachment 422281 [details]
Gardening patch
Comment 4 EWS 2021-03-04 14:51:31 PST
Committed r273919: <https://commits.webkit.org/r273919>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 422281 [details].
Comment 5 Peng Liu 2021-03-04 15:13:38 PST
Reopen this bug because there is one remaining test failure.
Comment 6 Jer Noble 2021-03-17 13:58:53 PDT
Created attachment 423527 [details]
Patch
Comment 7 Peng Liu 2021-03-17 15:47:12 PDT
Comment on attachment 423527 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=423527&action=review

> LayoutTests/platform/mac-wk2/TestExpectations:1318
>  webkit.org/b/221847 platform/mac/media/encrypted-media/fps-encrypted-event.html [ Pass Timeout ]

Will this patch fix this flaky test?
Comment 8 Jer Noble 2021-03-18 10:04:14 PDT
Created attachment 423613 [details]
Patch for landing
Comment 9 Jer Noble 2021-03-18 14:11:58 PDT
Created attachment 423653 [details]
Patch for landing
Comment 10 Jer Noble 2021-03-18 14:13:32 PDT
(In reply to Peng Liu from comment #7)
> Comment on attachment 423527 [details]
> Patch
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=423527&action=review
> 
> > LayoutTests/platform/mac-wk2/TestExpectations:1318
> >  webkit.org/b/221847 platform/mac/media/encrypted-media/fps-encrypted-event.html [ Pass Timeout ]
> 
> Will this patch fix this flaky test?

Probably.
Comment 11 Jer Noble 2021-03-18 19:15:50 PDT
Created attachment 423683 [details]
Patch for landing
Comment 12 Jer Noble 2021-03-18 23:54:56 PDT
Created attachment 423699 [details]
Patch for landing
Comment 13 EWS 2021-03-19 09:20:12 PDT
commit-queue failed to commit attachment 423699 [details] to WebKit repository. To retry, please set cq+ flag again.
Comment 14 EWS 2021-03-19 10:15:38 PDT
commit-queue failed to commit attachment 423699 [details] to WebKit repository. To retry, please set cq+ flag again.
Comment 15 EWS 2021-03-19 12:22:30 PDT
Committed r274732: <https://commits.webkit.org/r274732>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 423699 [details].